<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>
<link rel="stylesheet" href="../assets/css/amazeui.switch.css"/>
    <style type="text/css">
        /**让所有的模态对话框都居中*/

        .am-modal.am-modal-prompt.am-modal-active {
            transform: translate(-50%, -50%) scale(1);
            left: 50%;
            top: 50%;
            margin-left: 0;
            margin-top: 0 !important;
        }

        select[readonly] option {
            display: none;
        }

        /**
         审核通过
         */
        .approve-passed{
            position:absolute;
            right:10px;
            top:10px;
            border-radius: 100%;
            width: 150px;
            height: 150px;
            border: 3px dashed green;
            color: green;
            white-space: nowrap;
            display: flex;
            align-items: center;
            justify-content: center;
            transform: rotateZ(20deg);
            font-size: 14px;
        }
        .approve-passed:after {
            content:"审核通过";
        }
        /**
        待审核
         */
        .approve-topass{
            position:absolute;
            right:10px;
            top:170px;
            border-radius: 100%;
            width: 150px;
            height: 150px;
            border: 3px dashed orange;
            color: orange;
            white-space: nowrap;
            display: flex;
            align-items: center;
            justify-content: center;
            transform: rotateZ(20deg);
            font-size: 14px;
        }
        .approve-topass:after {
            content:"待审核";
        }
        /**
        审核不过
         */
        .approve-nopass{
            position:absolute;
            right:10px;
            top:10px;
            border-radius: 100%;
            width: 150px;
            height: 150px;
            border: 3px dashed red;
            color: red;
            white-space: nowrap;
            display: flex;
            align-items: center;
            justify-content: center;
            transform: rotateZ(20deg);
            font-size: 14px;
        }
        .approve-nopass:after {
            content:"审核不通过";
        }

        input {
            border:0 none;
            outline:none;
        }
        textarea {
            overflow-x: hidden;
            overflow-y:hidden;
        }
        .huanhang{
        // 表格自动换行
        table-layout:fixed;
            word-break:break-all
        }

    </style>
<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div style="word-wrap:break-word; word-break:break-all; " class="am-fl am-cf"><strong class="am-text-primary am-text-lg">月度结算表明细</strong> /
                <small>${monthlySettle.projectName!}</small></div>
        </div>

        <form method="post" class="am-form" id="pmsForm" action="">
            <!--选项卡（tabs）begin-->
            <div class="am-tabs am-margin" data-am-tabs>
                <div class="am-tabs-bd">
                    <div class="am-tab-panel am-fade am-in am-active" id="tab1">
                        <input name="id" id="id" type="hidden" value="${monthlySettle.id}" />
<#--                        <div class="am-u-sm-10">-->
<#--                            <div class="am-form am-form-inline">-->
<#--                                <div class="am-form-group am-form-icon">-->
<#--                                    <input type="text" id="time" name="time" autocomplete="off" readonly value="${time!}">-->
<#--                                </div>-->
<#--                            </div>-->
<#--                        </div>-->
<#--                        <br/>-->
<#--                        <br/>-->
                        <!--验证表单元素（validate) begin-->

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px; margin-bottom: 13px;" value="月份(请选择)"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly id="time" name="time" value="${monthlySettle.month}"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px;margin-bottom: 6px;" value="项目编号"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly id="projectNo" value="${monthlySettle.projectNo!}">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px;margin-bottom: 6px;" value="项目名称"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly id="projectName" value="${monthlySettle.projectName!}">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 12px;" value="项目类型"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly id="projectType" value="${monthlySettle.projectType!}">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px;margin-bottom: 6px;" value="合同编号"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly id="contractNo" value="${monthlySettle.contractNo!}">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px;margin-bottom: 6px;" value="合同方"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly id="contractParty" value="${monthlySettle.contractParty!}">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 12px;" value="合同金额"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly id="contractAmount" value="${Utils.format(monthlySettle.contractAmount)}元">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 134px ;margin-bottom: 6px;" value="合同签订时间"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly id="contractSignTime" value="${monthlySettle.contractSignTime?string("yyyy-MM-dd")}"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 134px ;margin-bottom: 6px;" value="最终业主"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.owner!}"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 12px;" value="累计已收款"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.totalCollect)}元"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 100px;margin-bottom: 12px;" value="已采购累计付款"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.totalPurchasedPaid)}元"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 6px;" value="已采购累计未付款"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.totalPurchasedUnpaid)}元">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 100px ;margin-bottom: 6px;" value="超期垫资金额"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.timeOutAmount)}元">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px;margin-bottom: 12px;" value="销售累计开票金额"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.totalBillAmount)}元"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 12px;" value="销售经理"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.saleManager!}" />
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 12px;" value="项目经理"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.projectManager!}" />
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;margin-left: 10px;margin-left: -15px" value="收款节点"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.collectPoint!}"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;margin-left: -15px" value="收款要求时间"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.contractSignTime?string("yyyy-MM-dd")}"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;margin-left: 10px;margin-left: -15px" value="收款金额"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.collectAmount)}元"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;margin-left: -15px" value="实际收款时间"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.collectActualTime?string("yyyy-MM-dd")}"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 100px;margin-bottom: 12px;" value="实际收款金额"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.collectActualAmount)}元"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 6px;" value="实际欠收金额"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.uncollectActualAmount)}元">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 100px ;margin-bottom: 6px;" value="超期天数"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.timeOutDay!}">
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px;margin-bottom: 12px;" value="到货证明"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.productCertificate!}"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 12px;" value="验收报告时间"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.inspectionReportTime?string("yyyy-MM-dd")}" />
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px;margin-bottom: 12px;" value="项目风险预警"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${monthlySettle.riskWarning!}"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;width: 69px ;margin-bottom: 12px;" value="已计收金额"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.calColAmount)}元" />
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>

                        <div class="am-g am-form-group am-margin-top">
                            <div class="am-u-sm-4 am-u-md-2 am-text-right"><input readonly style="text-align: right;margin-left: 10px;margin-left: -15px" value="未计收金额"></div>
                            <div class="am-u-sm-6 am-u-md-6">
                                <input readonly value="${Utils.format(monthlySettle.uncalColAmount)}元"></input>
                            </div>
                            <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                        </div>
                    </div>
                    <!--验证表单元素（validate end-->
                </div>
            </div>

            <!--选项卡（tabs）end-->
            <div class="am-margin">
                <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
                <button type="button" class="am-btn am-btn-primary am-btn-xs" id="exportSingle">导出</button>
            </div>
        </form>
    </div>
</div>
</@defaultLayout.layout>
<script src="${base}/layui/layui.js"></script>

<script>
    layui.use('laydate', function(){
        var laydate = layui.laydate;

        laydate.render({
            elem: '#time',
            type: 'month',
            btns: ['confirm'],
            trigger: 'click',
            ready: function(){
                console.log($(this.elem).val());
            },
            done: function() {
                var projectName = $("#projectName").val();
                var time = $(this.elem).val();
                console.log("time:" + time)
                $("#pmsForm").attr("action","${base}/monthlySettle/infoByTime?projectName=" + projectName + "&month=2022-07&listFrom=list");
                $("#pmsForm").submit();
            }
        });
    });

    /**
     *导出数据
     */
    $("#exportSingle").on('click', function(event) {
        var time = $("#time").val();
        var id = $("#id").val();
        var projectName = $("#projectName").val();
        location.href = "${base}/monthlySettle/exportSingle?id=" + id + "&time=" + time + "&projectName=" + projectName;
    });

</script>
















